Subject: bug#32127: RFE -- in the way "cp -rl" -- enable 'ln' to do likewise?

From: L A Walsh <[email-masked]>
Date: Wed, 18 Jul 2018 21:22:21 -0700

Michael Stone wrote:

> Or, they expect the traditional behavior, which is that requesting a
> link which can't be created will result in failure. You seem to 
> completely disregard the possibility that any script written in 40 years 
> might use that behavior in its logic, while I find it extremely unlikely 
> that scripts would be written in the hope that someday the behavior 
> might change and things work differently because they make more sense 
> that way.
 ---
	Like I said....putting change into the kernel to do the same --
seems to fly by with little or no comment...  Putting it in an app
where it is visible...and everyone complains.  Interesting.

Apps that rely on getting errors?  You don't regard that as a bit
of an unreliable design?  But easily solved -- go the way of 'ls'
and only create the symlinks if the process is interactive.

Problem solved